{"revision":"c10276e953456835cdbb1f3a60d58ae1980be353","document":{"id":563,"path":"api-reference/rest-apis/ts-qualification-api.md","title":"Technical Service Qualification Open API","bundle":null,"doc_type":null,"release":"australia","body":"\n# Technical Service Qualification Open API\n\nThe Technical Service Qualification Open API provides endpoints to check the availability of resources and services before submitting orders for fulfillment.\n\nThis API is a ServiceNow implementation of the TMF645 Service Qualification API REST Specification. For more information about service qualification requests, see [Service qualification requests](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/order-management/order-mgt-tsq-about.md).\n\nThe Technical Service Qualification Open API is provided within the `sn_ord_qual_mgmt` namespace and requires the following plugins:\n\n-   Product Catalog Management Core \\[com.sn\\_prd\\_pm\\]\n-   Product Catalog Advanced \\[com.sn\\_prd\\_pm\\_adv\\]\n-   Order Qualification Management \\[com.sn\\_ord\\_qual\\_mgmt\\]\n-   Order Management for Telecom, Media &amp; Tech \\[com.sn\\_tmt\\_core\\]\n-   Telecom Core \\[com.sn\\_tmt\\_core\\]\n\nThe sn\\_ind\\_tmt\\_orm.order\\_integrator role is required to use this API.\n\n**Parent Topic:**[REST API reference](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-apis/api-rest.md)\n\n## Technical Service Qualification Open API - GET sn\\_ord\\_qual\\_mgmt/qualification/checkServiceQualification/\\{id\\}\n\nRetrieves a technical qualification request that is associated with a given customer order ID.\n\nThis endpoint retrieves order information from the following tables:\n\n-   Customer Order \\[sn\\_ind\\_tmt\\_orm\\_order\\]\n-   Order Line Item \\[sn\\_ind\\_tmt\\_orm\\_order\\_line\\_item\\]\n\n### URL format\n\nDefault URL: `/api/sn_ord_qual_mgmt/qualification/checkServiceQualification/{id}`\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nid\n\n</td><td>\n\nSys\\_id of the qualification customer order to retrieve.Data type: String\n\nTable: Customer Order \\[sn\\_ind\\_tmt\\_orm\\_order\\]\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"accept-entry-RESTAPI\">\n\nData format of the response body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n| | |\n|---|---|\n|200|Successful. The request was successfully processed.|\n|400|Bad Request. A bad request type or malformed request was detected.|\n|404|Not found. The requested item wasn't found.|\n\n### Response body parameters \\(JSON or XML\\)\n\n<table id=\"id_lb3_gpq_fwb\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr id=\"TSQ-return-id\"><td>\n\nid\n\n</td><td>\n\nSys\\_id of the qualification customer order.Data type: String\n\nTable: Customer Order \\[sn\\_ind\\_tmt\\_orm\\_order\\]\n\n</td></tr><tr id=\"TSQ-return-href\"><td>\n\nhref\n\n</td><td>\n\nRelative link to the qualification order record. Data type: String\n\n</td></tr><tr id=\"TSQ-return-descriptions\"><td>\n\ndescription\n\n</td><td>\n\nDescription of the qualification request which is fetched from the short\\_description field of the customer order.Data type: String\n\nTable: Customer Order \\[sn\\_ind\\_tmt\\_orm\\_order\\]\n\n</td></tr><tr id=\"TSQ-return-externalId\"><td>\n\nexternalId\n\n</td><td>\n\nExternal ID of the customer order. Data type: String\n\nTable: in the external\\_id field of the Customer Order \\[sn\\_ind\\_tmt\\_orm\\_order\\] table.\n\n</td></tr><tr id=\"TSQ-return-qualificationResult\"><td>\n\nqualificationResult\n\n</td><td>\n\nQualification status of the result field of the customer order. Possible values:\n\n-   alternate\n-   none\n-   pending\n-   qualified\n-   unqualified\n\nData type: String\n\n</td></tr><tr id=\"TSQ-return-state\"><td>\n\nstate\n\n</td><td>\n\nState of customer order from the status field of customer order.Data type: String\n\n</td></tr><tr id=\"TSQ-return-type\"><td>\n\n@type\n\n</td><td>\n\nPart of TMF Open API standard. Annotation for the qualification. This value is always `CheckServiceQualification`. This information is not stored.Data type: String\n\n</td></tr><tr id=\"TSQ-return-checkServiceQualificationDate\"><td>\n\ncheckServiceQualificationDate\n\n</td><td>\n\nDate and time the qualification request that was created from the order\\_date field of the customer order.Data type: String\n\nFormat: YYYY-MM-DDTHH:MM:SS.SSSZ\n\nTable: Customer Order \\[sn\\_ind\\_tmt\\_orm\\_order\\]\n\n</td></tr><tr id=\"TSQ-return-effectiveQualificationDate\"><td>\n\neffectiveQualificationDate\n\n</td><td>\n\nEffective qualification date fetched from the order\\_date field of the customer order.Data type: String\n\nFormat: YYYY-MM-DDTHH:MM:SS.SSSZ\n\nTable: Customer Order \\[sn\\_ind\\_tmt\\_orm\\_order\\]\n\n</td></tr><tr id=\"TSQ-return-expectedQualificationDate\"><td>\n\nexpectedQualificationDate\n\n</td><td>\n\nStores the expected qualification date. Persisted in expected\\_end\\_date field of the customer order.Data type: String\n\nFormat: YYYY-MM-DDTHH:MM:SS.SSSZ\n\nTable: Customer Order \\[sn\\_ind\\_tmt\\_orm\\_order\\]\n\n</td></tr><tr id=\"TSQ-return-relatedParty\"><td>\n\nrelatedParty\n\n</td><td>\n\nList of contacts for the qualification request. Each contact is an object in the array.Data type: Array of Objects\n\n```\n\"relatedParty\": [\n  {\n    \"id\": \"String\",\n    \"name\": \"String\",\n    \"@referredType\": \"String\",\n    \"@type\": \"String\"\n  }\n]\n```\n\n</td></tr><tr id=\"TSQ-return-relatedParty.id\"><td>\n\nrelatedParty.id\n\n</td><td>\n\nSys\\_id or external\\_id of the account, customer contact, or consumer associated with the order.Data type: String\n\nTable: Account \\[customer\\_account\\] table, Contact \\[customer\\_contact\\] table, or Consumer \\[csm\\_consumer\\]\n\n</td></tr><tr id=\"TSQ-return-relatedParty.name\"><td>\n\nrelatedParty.name\n\n</td><td>\n\nName of the account, customer, or consumer.Data type: String\n\n</td></tr><tr id=\"TSQ-return-relatedParty.type\"><td>\n\nrelatedParty.@type\n\n</td><td>\n\nPart of TMF Open API standard. Annotation for the order line item contact. This value is always `RelatedParty`. This information is not stored.Data type: String\n\n</td></tr><tr id=\"TSQ-return-relatedParty.referredType\"><td>\n\nrelatedParty.@referredType\n\n</td><td>\n\nType of related party.Possible values:\n\n-   Consumer\n-   Customer\n-   CustomerContact\n\nData type: String\n\n</td></tr><tr id=\"TSQ-return-serviceQualificationItem\"><td>\n\nserviceQualificationItem\n\n</td><td>\n\nList of service qualification items containing information about location, service information, and service characteristics. Stored as order line items for the customer order. Data type: Array of Objects\n\n```\n\"serviceQualificationItem\": [\n  {\n    \"id\": \"String\",\n    \"action\": \"String\",\n    \"expectedServiceAvailabilityDate\": \"Number\",\n    \"service\": {Object},\n    \"@type\": \"String\"\n  }\n]\n```\n\n</td></tr><tr id=\"TSQ-return-serviceQualificationItem.id\"><td>\n\nserviceQualificationItem.id\n\n</td><td>\n\nID of the qualification item.Data type: String\n\nStored in: The external\\_id field of customer order line item in the Order Line Item \\[sn\\_ind\\_tmt\\_orm\\_order\\_line\\_item\\] table.\n\n</td></tr><tr id=\"TSQ-return-serviceQualificationItem.qualificationResult\"><td>\n\nserviceQualificationItem.qualificationResult\n\n</td><td>\n\nResult of qualification item. Stored in the ‘result’ field of customer order line item. Possible values:\n\n-   alternate\n-   none\n-   pending\n-   qualified\n-   unqualified\n\nData type: String\n\nTable: Order Line Item \\[sn\\_ind\\_tmt\\_orm\\_order\\_line\\_item\\]\n\n</td></tr><tr id=\"TSQ-return-serviceQualificationItem.state\"><td>\n\nserviceQualificationItem.state\n\n</td><td>\n\nState of qualification item derived from the ‘status’ field of customer order line item. Data type: String\n\nTable: Order Line Item \\[sn\\_ind\\_tmt\\_orm\\_order\\_line\\_item\\]\n\n</td></tr><tr id=\"TSQ-return-serviceQualificationItem.quantity\"><td>\n\nserviceQualificationItem.quantity\n\n</td><td>\n\nQuantity of qualification item derived from the ‘quantity’ field of customer order line item.Data type: Number\n\nTable:Order Line Item \\[sn\\_ind\\_tmt\\_orm\\_order\\_line\\_item\\]\n\n</td></tr><tr id=\"TSQ-return-serviceQualificationItem.type\"><td>\n\nserviceQualificationItem.@type\n\n</td><td>\n\nPart of TMF Open API standard. Annotation for the qualification item. This value is always ServiceQualificationItem. This information is not stored.Data type: String\n\n</td></tr><tr id=\"TSQ-return-serviceQualificationItem.service\"><td>\n\nserviceQualificationItem.service\n\n</td><td>\n\nService information which includes details about location \\(place\\), service specifications, and service characteristics.Data type: Object\n\n```\n\"service\": {\n  \"@type\": \"String\",\n  \"place\": [Array],\n  \"serviceCharacteristic\": [Array],\n  \"serviceSpecification\": {Object}\n}\n```\n\n</td></tr><tr id=\"TSQ-return-serviceQualificationItem.service.type\"><td>\n\nserviceQualificationItem.service.@type\n\n</td><td>\n\nPart of TMF Open API standard. Annotation for the service. This value is always `Service`. This information is not stored. Data type: String\n\n</td></tr><tr id=\"TSQ-return-serviceQualificationItem.service.place\"><td>\n\nserviceQualificationItem.service.place\n\n</td><td>\n\nLocation information for the service qualification item.Data type: Array of Objects\n\n**Note:** This array can contain only one location.\n\n```\n\"place\": [\n  {\n    \"id\": \"String\",\n    \"name\": \"String\",\n    \"@referredType\": \"String\"\n  }\n]\n```\n\n</td></tr><tr id=\"TSQ-return-serviceQualificationItem.service.place.id\"><td>\n\nserviceQualificationItem.service.place.id\n\n</td><td>\n\nSys\\_id of the location.Data type: String\n\nTable: Location \\[cmn\\_location\\]\n\n</td></tr><tr id=\"TSQ-return-serviceQualificationItem.service.place.name\"><td>\n\nserviceQualificationItem.service.place.name\n\n</td><td>\n\nName of the location. Not verified against an entry in the Location \\[cmn\\_location\\] table.Data type: String\n\n</td></tr><tr id=\"TSQ-return-serviceQualificationItem.service.place.type\"><td>\n\nserviceQualificationItem.service.place.@type\n\n</td><td>\n\nPart of TMF Open API standard. Annotation for Service. This value is always `GeographicSite`. This information is not stored.Data type: String\n\n</td></tr><tr id=\"TSQ-return-serviceQualificationItem.service.serviceSpecification\"><td>\n\nserviceQualificationItem.service.serviceSpecification\n\n</td><td>\n\nService specification details for the qualification item.Data type: Array of Objects\n\n```\n\"serviceSpecification\": {\n  \"id\": \"String\",\n  \"internalVersion\": \"Number\",\n  \"internalId\": \"String\",\n  \"name\": \"String\"\n  \"@type\": \"ServiceSpecification\"\n  \"version\": \"String\",\n}\n\n```\n\n</td></tr><tr id=\"TSQ-return-serviceQualificationItem.service.serviceSpecification.id\"><td>\n\nserviceQualificationItem.service.serviceSpecification.id\n\n</td><td>\n\nExternal ID or initial version of the service specification.Data type: String\n\n</td></tr><tr id=\"TSQ-return-serviceQualificationItem.service.serviceSpecification.name\"><td>\n\nserviceQualificationItem.service.serviceSpecification.name\n\n</td><td>\n\nName of the service specification.Data type: String\n\n</td></tr><tr id=\"TSQ-return-serviceQualificationItem.service.serviceSpecification.version\"><td>\n\nserviceQualificationItem.service.serviceSpecification.version\n\n</td><td>\n\nExternal version of the service specification.Data type: String\n\n</td></tr><tr id=\"TSQ-return-serviceQualificationItem.service.serviceSpecification.internalVersion\"><td>\n\nserviceQualificationItem.service.serviceSpecification.internalVersion\n\n</td><td>\n\nInternal version of the service specification.Data type: Number\n\n</td></tr><tr id=\"TSQ-return-serviceQualificationItem.service.serviceSpecification.internalId\"><td>\n\nserviceQualificationItem.service.serviceSpecification.internalId\n\n</td><td>\n\nInitial version of the service specification.Data type: String\n\n</td></tr><tr id=\"TSQ-return-serviceQualificationItem.service.serviceSpecification.type\"><td>\n\nserviceQualificationItem.service.serviceSpecification.@type\n\n</td><td>\n\nPart of TMF Open API standard. Annotation for Service Specification. This value is always `ServiceSpecification`. This information is not stored.Data type: String\n\n</td></tr><tr id=\"TSQ-return-serviceQualificationItem.service.serviceCharacteristic\"><td>\n\nserviceQualificationItem.service.serviceCharacteristic\n\n</td><td>\n\nList of service characteristics.Data type: Array of objects\n\n```\n\"serviceCharacteristic\": [\n  {\n    \"name\": \"String\",\n    \"value\": \"String\",\n    \"valueType\": \"String\"\n  }\n]\n```\n\n</td></tr><tr id=\"TSQ-return-serviceQualificationItem.service.serviceCharacteristic.valueType\"><td>\n\nserviceQualificationItem.service.serviceCharacteristic.valueType\n\n</td><td>\n\nValue type of the characteristic.Data type: String\n\n</td></tr><tr id=\"TSQ-return-serviceQualificationItem.service.serviceCharacteristic.name\"><td>\n\nserviceQualificationItem.service.serviceCharacteristic.name\n\n</td><td>\n\nName of the characteristic.Data type: String\n\n</td></tr><tr id=\"TSQ-return-serviceQualificationItem.service.serviceCharacteristic.value\"><td>\n\nserviceQualificationItem.service.serviceCharacteristic.value\n\n</td><td>\n\nValue of the characteristic.Data type: String\n\n</td></tr><tr id=\"TSQ-return-serviceQualificationItem.alternateServiceProposal\"><td>\n\nServiceQualificationItem.alternateServiceProposal\n\n</td><td>\n\nAlternate service proposal for the qualification order.Data type: String\n\nStored in: Alternate Proposal \\[sn\\_ord\\_qual\\_mgmt\\_alternate\\_proposal\\]\n\n</td></tr><tr id=\"TSQ-return-serviceQualificationItem.alternateServiceProposal.id\"><td>\n\nServiceQualificationItem.alternateServiceProposal.id\n\n</td><td>\n\nSys\\_id of the alternate proposal record.Data type: String\n\nTable: Alternate Proposal \\[sn\\_ord\\_qual\\_mgmt\\_alternate\\_proposal\\]\n\n</td></tr><tr id=\"TSQ-return-serviceQualificationItem.alternateServiceProposal.alternateServiceAvailabilityDate\"><td>\n\nServiceQualificationItem.alternateServiceProposal.alternateServiceAvailabilityDate\n\n</td><td>\n\nThe available\\_date field value of the alternate proposal entry in the Alternate Proposal \\[sn\\_ord\\_qual\\_mgmt\\_alternate\\_proposal\\] table.Data type: String\n\n</td></tr><tr id=\"TSQ-return-serviceQualificationItem.alternateServiceProposal.alternateService\"><td>\n\nserviceQualificationItem.alternateServiceProposal.alternateService\n\n</td><td>\n\nService information represented by the alternate proposal.Data type: Object\n\n</td></tr><tr id=\"TSQ-return-serviceQualificationItem.alternateServiceProposal.alternateService.serviceSpecification\"><td>\n\nserviceQualificationItem.alternateServiceProposal.alternateService.serviceSpecification\n\n</td><td>\n\nService specification of the alternate proposal persisted in specification.Data type: Object\n\nTable: Alternate Proposal \\[sn\\_ord\\_qual\\_mgmt\\_alternate\\_proposal\\]\n\n</td></tr><tr id=\"TSQ-return-serviceQualificationItem.alternateServiceProposal.serviceSpecification.id\"><td>\n\nserviceQualificationItem. alternateServiceProposal.alternateService.serviceSpecification.id\n\n</td><td>\n\nExternal ID or initial version of the alternate service specification.Data type: String\n\n</td></tr><tr id=\"TSQ-return-serviceQualificationItem.alternateServiceProposal.serviceSpecification.name\"><td>\n\nserviceQualificationItem. alternateServiceProposal.alternateService.serviceSpecification.name\n\n</td><td>\n\nName of the alternate service specification. Data type: String\n\n</td></tr><tr id=\"TSQ-return-serviceQualificationItem.alternateServiceProposal.serviceSpecification.version\"><td>\n\nserviceQualificationItem. alternateServiceProposal.alternateService.serviceSpecification.version\n\n</td><td>\n\nExternal version of the alternate service specification.Data type: String\n\n</td></tr><tr id=\"TSQ-return-serviceQualificationItem.alternateServiceProposal.serviceSpecification.internalVersion\"><td>\n\nserviceQualificationItem. alternateServiceProposal.alternateService.serviceSpecification.internalVersion\n\n</td><td>\n\nInternal version of the alternate service specification.Data type: Number\n\n</td></tr><tr id=\"TSQ-return-serviceQualificationItem.alternateServiceProposal.serviceSpecification.internalId\"><td>\n\nserviceQualificationItem. alternateServiceProposal.alternateService.serviceSpecification.internalId\n\n</td><td>\n\nInitial version of the alternate service specification.Data type: String\n\n</td></tr><tr id=\"TSQ-return-serviceQualificationItem.alternateServiceProposal.serviceSpecification.type\"><td>\n\nServiceQualificationItem. alternateServiceProposal.alternateService.serviceSpecification.@type\n\n</td><td>\n\nPart of TMF Open API standard. Annotation for Service Specification. This value is always `ServiceSpecification`. This information is not stored.Data type: String\n\n</td></tr><tr id=\"TSQ-return-serviceQualificationItem.alternateServiceProposal.serviceSpecification.serviceCharacteristic\"><td>\n\nserviceQualificationItem. alternateServiceProposal.alternateService.serviceCharacteristic\n\n</td><td>\n\nList of service characteristics for the alternate service proposal.Data type: Array of Objects\n\n```\n\"serviceCharacteristic\": [\n  {\n    \"name\": \"String\",\n    \"value\": \"String\",\n    \"valueType\": \"String\"\n  }\n]\n```\n\n</td></tr><tr id=\"TSQ-return-serviceQualificationItem.alternateServiceProposal.serviceSpecification.serviceCharacteristic.valueType\"><td>\n\nserviceQualificationItem. alternateServiceProposal.alternateService.serviceCharacteristic.valueType\n\n</td><td>\n\nValue type of the alternate service characteristic.Data type: String\n\n</td></tr><tr id=\"TSQ-return-serviceQualificationItem.alternateServiceProposal.serviceSpecification.serviceCharacteristic.name\"><td>\n\nserviceQualificationItem. alternateServiceProposal.alternateService.serviceCharacteristic.name\n\n</td><td>\n\nName of the alternate service characteristic.Data type: String\n\n</td></tr><tr id=\"TSQ-return-serviceQualificationItem.alternateServiceProposal.serviceSpecification.serviceCharacteristic.value\"><td>\n\nserviceQualificationItem. alternateServiceProposal.alternateService.serviceCharacteristic.value\n\n</td><td>\n\nValue of the alternate service characteristic.Data type: String\n\n</td></tr><tr id=\"serviceQualificationItem.eligibilityUnavailabilityReason\"><td>\n\nserviceQualificationItem.eligibilityUnavailabilityReason\n\n</td><td>\n\nList of service eligibility unavailability reasons to explain why the service is not available. Data type: Array\n\nStored in: The unavailability\\_reason field of the Domain Order \\[sn\\_ind\\_tmt\\_orm\\_domain\\_order\\] table.\n\n</td></tr><tr id=\"serviceQualificationItem.eligibilityUnavailabilityReason.code\"><td>\n\nserviceQualificationItem.eligibilityUnavailabilityReason.code\n\n</td><td>\n\nService eligibility unavailability reason code.Data type: String\n\n</td></tr><tr id=\"serviceQualificationItem.eligibilityUnavailabilityReason.label\"><td>\n\nserviceQualificationItem.eligibilityUnavailabilityReason.label\n\n</td><td>\n\nService eligibility unavailability reason label.Data type: String\n\n</td></tr></tbody>\n</table>### Sample cURL request\n\nThe following example retrieves an entire specific qualification order associated with a given Sys\\_id of a qualification customer order.\n\n```\ncurl -location --request GET \"https://instance.service-now.com/api/sn_ord_qual_mgmt/qualification/checkServiceQualification/4b5aa0a538b31110f877c8d44c4b8947\" \\ \n--user \"username\":\"password\"\n\n```\n\nResponse:\n\n```\n[\n  {\n    \"id\": \"001b359545371150f877e0588eca21ca\",\n    \"href\": \"/api/sn_ord_qual_mgmt/qualification/checkServiceQualification/001b359545371150f877e0588eca21ca\",\n    \"description\": \"check service qualification illustration\",\n    \"externalId\": \"CSQ1\",\n    \"qualificationResult\": \"none\",\n    \"state\": \"new\",\n    \"@type\": \"CheckServiceQualification\",\n    \"checkServiceQualificationDate\": \"2022-12-14T23:44:44.000Z\",\n    \"relatedParty\": [\n      {\n        \"id\": \"eaf68911c35420105252716b7d40ddde\",\n        \"name\": \"Sally Thomas\",\n        \"@type\": \"RelatedParty\",\n        \"@referredType\": \"CustomerContact\"\n      },\n      {\n        \"id\": \"ffc68911c35420105252716b7d40dd55\",\n        \"name\": \"Funco Intl\",\n        \"@type\": \"RelatedParty\",\n        \"@referredType\": \"Customer\"\n      },\n      {\n        \"id\": \"59f16de1c3b67110ff00ed23a140dd9e\",\n        \"name\": \"Funco External\",\n        \"@type\": \"RelatedParty\",\n        \"@referredType\": \"Consumer\"\n      }\n    ],\n    \"serviceSpecification\": {\n      \"id\": \"91478553b7969910ff00f203ae11a97d\",\n      \"name\": \"Broadband Service\",\n      \"version\": \"\",\n      \"internalVersion\": \"1\",\n      \"internalId\": \"91478553b7969910ff00f203ae11a97d\",\n      \"@type\": \"ServiceSpecification\"\n    },\n    \"place\": {\n      \"id\": \"5671dd2ec3a53010188473ce3640dd81\",\n      \"name\": \"3000 Main Street, Santa Clara, CA\",\n      \"@referredType\": \"GeographicSite\"\n    },\n    \"expectedQualificationDate\": \"2022-10-11T15:20:39.000Z\"\n  },\n  {\n    \"id\": \"0236b75145fb1150f877e0588eca2145\",\n    \"href\": \"/api/sn_ord_qual_mgmt/qualification/checkServiceQualification/0236b75145fb1150f877e0588eca2145\",\n    \"description\": \"check service qualification illustration\",\n    \"externalId\": \"CSQ1\",\n    \"qualificationResult\": \"none\",\n    \"state\": \"new\",\n    \"@type\": \"CheckServiceQualification\",\n    \"checkServiceQualificationDate\": \"2022-12-15T08:57:50.000Z\",\n    \"relatedParty\": [\n      {\n        \"id\": \"eaf68911c35420105252716b7d40ddde\",\n        \"name\": \"Sally Thomas\",\n        \"@type\": \"RelatedParty\",\n        \"@referredType\": \"CustomerContact\"\n      },\n      {\n        \"id\": \"ffc68911c35420105252716b7d40dd55\",\n        \"name\": \"Funco Intl\",\n        \"@type\": \"RelatedParty\",\n        \"@referredType\": \"Customer\"\n      },\n      {\n        \"id\": \"59f16de1c3b67110ff00ed23a140dd9e\",\n        \"name\": \"Funco External\",\n        \"@type\": \"RelatedParty\",\n        \"@referredType\": \"Consumer\"\n      }\n    ],\n    \"serviceQualificationItem\": [\n      {\n        \"id\": \"110\",\n        \"qualificationResult\": \"none\",\n        \"state\": \"new\",\n        \"quantity\": \"1\",\n        \"@type\": \"ServiceQualificationItem\",\n        \"service\": {\n          \"@type\": \"Service\",\n          \"serviceCharacteristic\": [\n            {\n              \"name\": \"Fiber Speed\",\n              \"valueType\": \"choice\",\n              \"value\": \"1Gbps\"\n            }\n          ],\n          \"serviceSpecification\": {\n            \"id\": \"4d2b5799457b1150f877e0588eca2116\",\n            \"name\": \"CFS3\",\n            \"version\": \"\",\n            \"internalVersion\": \"1\",\n            \"internalId\": \"4d2b5799457b1150f877e0588eca2116\",\n            \"@type\": \"ServiceSpecification\"\n          },\n          \"place\": {\n            \"id\": \"5671dd2ec3a53010188473ce3640dd81\",\n            \"name\": \"3000 Main Street, Santa Clara, CA\",\n            \"@referredType\": \"GeographicSite\"\n          }\n        }\n      },\n      {\n        \"id\": \"130\",\n        \"qualificationResult\": \"none\",\n        \"state\": \"new\",\n        \"quantity\": \"1\",\n        \"@type\": \"ServiceQualificationItem\",\n        \"service\": {\n          \"@type\": \"Service\",\n          \"serviceCharacteristic\": [\n            {\n              \"name\": \"Wireless Speed\",\n              \"valueType\": \"choice\",\n              \"value\": \"100 Mbps\"\n            }\n          ],\n          \"serviceSpecification\": {\n            \"id\": \"28733d1d45f31150f877e0588eca2163\",\n            \"name\": \"CFS2\",\n            \"version\": \"\",\n            \"internalVersion\": \"1\",\n            \"internalId\": \"28733d1d45f31150f877e0588eca2163\",\n            \"@type\": \"ServiceSpecification\"\n          },\n          \"place\": {\n            \"id\": \"5671dd2ec3a53010188473ce3640dd81\",\n            \"name\": \"3000 Main Street, Santa Clara, CA\",\n            \"@referredType\": \"GeographicSite\"\n          }\n        }\n      },\n      {\n        \"id\": \"100\",\n        \"qualificationResult\": \"none\",\n        \"state\": \"new\",\n        \"quantity\": \"1\",\n        \"@type\": \"ServiceQualificationItem\",\n        \"service\": {\n          \"@type\": \"Service\",\n          \"serviceCharacteristic\": [\n            {\n              \"name\": \"Speed\",\n              \"valueType\": \"choice\",\n              \"value\": \"\"\n            }\n          ],\n          \"serviceSpecification\": {\n            \"id\": \"b3933d9d45f31150f877e0588eca21fc\",\n            \"name\": \"Access Service\",\n            \"version\": \"\",\n            \"internalVersion\": \"1\",\n            \"internalId\": \"b3933d9d45f31150f877e0588eca21fc\",\n            \"@type\": \"ServiceSpecification\"\n          },\n          \"place\": {\n            \"id\": \"5671dd2ec3a53010188473ce3640dd81\",\n            \"name\": \"3000 Main Street, Santa Clara, CA\",\n            \"@referredType\": \"GeographicSite\"\n          }\n        }\n      },\n      {\n        \"id\": \"120\",\n        \"qualificationResult\": \"none\",\n        \"state\": \"new\",\n        \"quantity\": \"1\",\n        \"@type\": \"ServiceQualificationItem\",\n        \"service\": {\n          \"@type\": \"Service\",\n          \"serviceCharacteristic\": [\n            {\n              \"name\": \"DSL Speed\",\n              \"valueType\": \"choice\",\n              \"value\": \"500 Mbps\"\n            }\n          ],\n          \"serviceSpecification\": {\n            \"id\": \"1d43f91d45f31150f877e0588eca21cd\",\n            \"name\": \"CFS1\",\n            \"version\": \"\",\n            \"internalVersion\": \"1\",\n            \"internalId\": \"1d43f91d45f31150f877e0588eca21cd\",\n            \"@type\": \"ServiceSpecification\"\n          },\n          \"place\": {\n            \"id\": \"5671dd2ec3a53010188473ce3640dd81\",\n            \"name\": \"3000 Main Street, Santa Clara, CA\",\n            \"@referredType\": \"GeographicSite\"\n          }\n        }\n      }\n    ],\n    \"expectedQualificationDate\": \"2022-10-11T15:20:39.000Z\"\n  }\n]\n```\n\n## Technical Service Qualification Open API - GET sn\\_ord\\_qual\\_mgmt/qualification/checkServiceQualification\n\nRetrieves a list of all technical qualification requests.\n\nThis endpoint retrieves order information from the following tables:\n\n-   Customer Order \\[sn\\_ind\\_tmt\\_orm\\_order\\]\n-   Order Line Item \\[sn\\_ind\\_tmt\\_orm\\_order\\_line\\_item\\]\n\nThis endpoint returns 20 records by default but can return a maximum of 100 records. Use query filters to narrow results according to status, field name\\(s\\), description, and qualification result.\n\n### URL format\n\nDefault URL: `/api/sn_ord_qual_mgmt/qualification/checkServiceQualification`\n\n### Supported request parameters\n\n|Name|Description|\n|----|-----------|\n|None| |\n\n<table id=\"table_qbb_tlq_fwb\" class=\"rest_api_request_parameters\"><thead><tr><th>\n\nParameter\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\ndescription\n\n</td><td>\n\nFilters qualification orders by the 'short\\_description' field of the customer order. Only orders with a short description matching the value of this parameter are returned in the response.Data type: String\n\n</td></tr><tr><td>\n\nfields\n\n</td><td>\n\nList of field names to return in the response. Invalid fields are ignored. If this parameter is not provided in the request, all fields are returned.Data type: String, comma separated\n\n</td></tr><tr><td>\n\nlimit\n\n</td><td>\n\nMaximum number of records to return. For requests that exceed this number of records, use the offset parameter to paginate record retrieval.Default: 20\n\nMaximum: 100\n\nData type: Number\n\n</td></tr><tr><td>\n\nqualificationResult\n\n</td><td>\n\nFilters qualification orders by result. Only orders with a result matching the value of this parameter are returned in the response.Data type: String\n\n</td></tr><tr><td>\n\nstate\n\n</td><td>\n\nFilters qualification orders by state. Only orders with a state matching the value of this parameter are returned in the response.Data type: String\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"accept-entry-RESTAPI\">\n\nData format of the response body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table id=\"table_wwn_rhd_ct\"><thead><tr><th>\n\nStatus code\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\n200\n\n</td><td>\n\nRequest successfully processed. Full resource returned in response \\(no pagination\\).\n\n</td></tr><tr><td>\n\n206\n\n</td><td>\n\nPartial resource returned in response \\(with pagination\\).\n\n</td></tr><tr><td>\n\n400\n\n</td><td>\n\nBad request. Possible reasons:-   Invalid path parameter\n-   Invalid URI\n\n</td></tr><tr><td>\n\n404\n\n</td><td>\n\nNo record found for the filter criteria.\n\n</td></tr></tbody>\n</table>### Response body parameters \\(JSON or XML\\)\n\n<table id=\"id_zmj_cmq_fwb\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr id=\"TSQ-return-id\"><td>\n\nid\n\n</td><td>\n\nSys\\_id of the qualification customer order.Data type: String\n\nTable: Customer Order \\[sn\\_ind\\_tmt\\_orm\\_order\\]\n\n</td></tr><tr id=\"TSQ-return-href\"><td>\n\nhref\n\n</td><td>\n\nRelative link to the qualification order record. Data type: String\n\n</td></tr><tr id=\"TSQ-return-descriptions\"><td>\n\ndescription\n\n</td><td>\n\nDescription of the qualification request which is fetched from the short\\_description field of the customer order.Data type: String\n\nTable: Customer Order \\[sn\\_ind\\_tmt\\_orm\\_order\\]\n\n</td></tr><tr id=\"TSQ-return-externalId\"><td>\n\nexternalId\n\n</td><td>\n\nExternal ID of the customer order. Data type: String\n\nTable: in the external\\_id field of the Customer Order \\[sn\\_ind\\_tmt\\_orm\\_order\\] table.\n\n</td></tr><tr id=\"TSQ-return-qualificationResult\"><td>\n\nqualificationResult\n\n</td><td>\n\nQualification status of the result field of the customer order. Possible values:\n\n-   alternate\n-   none\n-   pending\n-   qualified\n-   unqualified\n\nData type: String\n\n</td></tr><tr id=\"TSQ-return-state\"><td>\n\nstate\n\n</td><td>\n\nState of customer order from the status field of customer order.Data type: String\n\n</td></tr><tr id=\"TSQ-return-type\"><td>\n\n@type\n\n</td><td>\n\nPart of TMF Open API standard. Annotation for the qualification. This value is always `CheckServiceQualification`. This information is not stored.Data type: String\n\n</td></tr><tr id=\"TSQ-return-checkServiceQualificationDate\"><td>\n\ncheckServiceQualificationDate\n\n</td><td>\n\nDate and time the qualification request that was created from the order\\_date field of the customer order.Data type: String\n\nFormat: YYYY-MM-DDTHH:MM:SS.SSSZ\n\nTable: Customer Order \\[sn\\_ind\\_tmt\\_orm\\_order\\]\n\n</td></tr><tr id=\"TSQ-return-effectiveQualificationDate\"><td>\n\neffectiveQualificationDate\n\n</td><td>\n\nEffective qualification date fetched from the order\\_date field of the customer order.Data type: String\n\nFormat: YYYY-MM-DDTHH:MM:SS.SSSZ\n\nTable: Customer Order \\[sn\\_ind\\_tmt\\_orm\\_order\\]\n\n</td></tr><tr id=\"TSQ-return-expectedQualificationDate\"><td>\n\nexpectedQualificationDate\n\n</td><td>\n\nStores the expected qualification date. Persisted in expected\\_end\\_date field of the customer order.Data type: String\n\nFormat: YYYY-MM-DDTHH:MM:SS.SSSZ\n\nTable: Customer Order \\[sn\\_ind\\_tmt\\_orm\\_order\\]\n\n</td></tr><tr id=\"TSQ-return-relatedParty\"><td>\n\nrelatedParty\n\n</td><td>\n\nList of contacts for the qualification request. Each contact is an object in the array.Data type: Array of Objects\n\n```\n\"relatedParty\": [\n  {\n    \"id\": \"String\",\n    \"name\": \"String\",\n    \"@referredType\": \"String\",\n    \"@type\": \"String\"\n  }\n]\n```\n\n</td></tr><tr id=\"TSQ-return-relatedParty.id\"><td>\n\nrelatedParty.id\n\n</td><td>\n\nSys\\_id or external\\_id of the account, customer contact, or consumer associated with the order.Data type: String\n\nTable: Account \\[customer\\_account\\] table, Contact \\[customer\\_contact\\] table, or Consumer \\[csm\\_consumer\\]\n\n</td></tr><tr id=\"TSQ-return-relatedParty.name\"><td>\n\nrelatedParty.name\n\n</td><td>\n\nName of the account, customer, or consumer.Data type: String\n\n</td></tr><tr id=\"TSQ-return-relatedParty.type\"><td>\n\nrelatedParty.@type\n\n</td><td>\n\nPart of TMF Open API standard. Annotation for the order line item contact. This value is always `RelatedParty`. This information is not stored.Data type: String\n\n</td></tr><tr id=\"TSQ-return-relatedParty.referredType\"><td>\n\nrelatedParty.@referredType\n\n</td><td>\n\nType of related party.Possible values:\n\n-   Consumer\n-   Customer\n-   CustomerContact\n\nData type: String\n\n</td></tr><tr id=\"TSQ-return-serviceQualificationItem\"><td>\n\nserviceQualificationItem\n\n</td><td>\n\nList of service qualification items containing information about location, service information, and service characteristics. Stored as order line items for the customer order. Data type: Array of Objects\n\n```\n\"serviceQualificationItem\": [\n  {\n    \"id\": \"String\",\n    \"action\": \"String\",\n    \"expectedServiceAvailabilityDate\": \"Number\",\n    \"service\": {Object},\n    \"@type\": \"String\"\n  }\n]\n```\n\n</td></tr><tr id=\"TSQ-return-serviceQualificationItem.id\"><td>\n\nserviceQualificationItem.id\n\n</td><td>\n\nID of the qualification item.Data type: String\n\nStored in: The external\\_id field of customer order line item in the Order Line Item \\[sn\\_ind\\_tmt\\_orm\\_order\\_line\\_item\\] table.\n\n</td></tr><tr id=\"TSQ-return-serviceQualificationItem.qualificationResult\"><td>\n\nserviceQualificationItem.qualificationResult\n\n</td><td>\n\nResult of qualification item. Stored in the ‘result’ field of customer order line item. Possible values:\n\n-   alternate\n-   none\n-   pending\n-   qualified\n-   unqualified\n\nData type: String\n\nTable: Order Line Item \\[sn\\_ind\\_tmt\\_orm\\_order\\_line\\_item\\]\n\n</td></tr><tr id=\"TSQ-return-serviceQualificationItem.state\"><td>\n\nserviceQualificationItem.state\n\n</td><td>\n\nState of qualification item derived from the ‘status’ field of customer order line item. Data type: String\n\nTable: Order Line Item \\[sn\\_ind\\_tmt\\_orm\\_order\\_line\\_item\\]\n\n</td></tr><tr id=\"TSQ-return-serviceQualificationItem.quantity\"><td>\n\nserviceQualificationItem.quantity\n\n</td><td>\n\nQuantity of qualification item derived from the ‘quantity’ field of customer order line item.Data type: Number\n\nTable:Order Line Item \\[sn\\_ind\\_tmt\\_orm\\_order\\_line\\_item\\]\n\n</td></tr><tr id=\"TSQ-return-serviceQualificationItem.type\"><td>\n\nserviceQualificationItem.@type\n\n</td><td>\n\nPart of TMF Open API standard. Annotation for the qualification item. This value is always ServiceQualificationItem. This information is not stored.Data type: String\n\n</td></tr><tr id=\"TSQ-return-serviceQualificationItem.service\"><td>\n\nserviceQualificationItem.service\n\n</td><td>\n\nService information which includes details about location \\(place\\), service specifications, and service characteristics.Data type: Object\n\n```\n\"service\": {\n  \"@type\": \"String\",\n  \"place\": [Array],\n  \"serviceCharacteristic\": [Array],\n  \"serviceSpecification\": {Object}\n}\n```\n\n</td></tr><tr id=\"TSQ-return-serviceQualificationItem.service.type\"><td>\n\nserviceQualificationItem.service.@type\n\n</td><td>\n\nPart of TMF Open API standard. Annotation for the service. This value is always `Service`. This information is not stored. Data type: String\n\n</td></tr><tr id=\"TSQ-return-serviceQualificationItem.service.place\"><td>\n\nserviceQualificationItem.service.place\n\n</td><td>\n\nLocation information for the service qualification item.Data type: Array of Objects\n\n**Note:** This array can contain only one location.\n\n```\n\"place\": [\n  {\n    \"id\": \"String\",\n    \"name\": \"String\",\n    \"@referredType\": \"String\"\n  }\n]\n```\n\n</td></tr><tr id=\"TSQ-return-serviceQualificationItem.service.place.id\"><td>\n\nserviceQualificationItem.service.place.id\n\n</td><td>\n\nSys\\_id of the location.Data type: String\n\nTable: Location \\[cmn\\_location\\]\n\n</td></tr><tr id=\"TSQ-return-serviceQualificationItem.service.place.name\"><td>\n\nserviceQualificationItem.service.place.name\n\n</td><td>\n\nName of the location. Not verified against an entry in the Location \\[cmn\\_location\\] table.Data type: String\n\n</td></tr><tr id=\"TSQ-return-serviceQualificationItem.service.place.type\"><td>\n\nserviceQualificationItem.service.place.@type\n\n</td><td>\n\nPart of TMF Open API standard. Annotation for Service. This value is always `GeographicSite`. This information is not stored.Data type: String\n\n</td></tr><tr id=\"TSQ-return-serviceQualificationItem.service.serviceSpecification\"><td>\n\nserviceQualificationItem.service.serviceSpecification\n\n</td><td>\n\nService specification details for the qualification item.Data type: Array of Objects\n\n```\n\"serviceSpecification\": {\n  \"id\": \"String\",\n  \"internalVersion\": \"Number\",\n  \"internalId\": \"String\",\n  \"name\": \"String\"\n  \"@type\": \"ServiceSpecification\"\n  \"version\": \"String\",\n}\n\n```\n\n</td></tr><tr id=\"TSQ-return-serviceQualificationItem.service.serviceSpecification.id\"><td>\n\nserviceQualificationItem.service.serviceSpecification.id\n\n</td><td>\n\nExternal ID or initial version of the service specification.Data type: String\n\n</td></tr><tr id=\"TSQ-return-serviceQualificationItem.service.serviceSpecification.name\"><td>\n\nserviceQualificationItem.service.serviceSpecification.name\n\n</td><td>\n\nName of the service specification.Data type: String\n\n</td></tr><tr id=\"TSQ-return-serviceQualificationItem.service.serviceSpecification.version\"><td>\n\nserviceQualificationItem.service.serviceSpecification.version\n\n</td><td>\n\nExternal version of the service specification.Data type: String\n\n</td></tr><tr id=\"TSQ-return-serviceQualificationItem.service.serviceSpecification.internalVersion\"><td>\n\nserviceQualificationItem.service.serviceSpecification.internalVersion\n\n</td><td>\n\nInternal version of the service specification.Data type: Number\n\n</td></tr><tr id=\"TSQ-return-serviceQualificationItem.service.serviceSpecification.internalId\"><td>\n\nserviceQualificationItem.service.serviceSpecification.internalId\n\n</td><td>\n\nInitial version of the service specification.Data type: String\n\n</td></tr><tr id=\"TSQ-return-serviceQualificationItem.service.serviceSpecification.type\"><td>\n\nserviceQualificationItem.service.serviceSpecification.@type\n\n</td><td>\n\nPart of TMF Open API standard. Annotation for Service Specification. This value is always `ServiceSpecification`. This information is not stored.Data type: String\n\n</td></tr><tr id=\"TSQ-return-serviceQualificationItem.service.serviceCharacteristic\"><td>\n\nserviceQualificationItem.service.serviceCharacteristic\n\n</td><td>\n\nList of service characteristics.Data type: Array of objects\n\n```\n\"serviceCharacteristic\": [\n  {\n    \"name\": \"String\",\n    \"value\": \"String\",\n    \"valueType\": \"String\"\n  }\n]\n```\n\n</td></tr><tr id=\"TSQ-return-serviceQualificationItem.service.serviceCharacteristic.valueType\"><td>\n\nserviceQualificationItem.service.serviceCharacteristic.valueType\n\n</td><td>\n\nValue type of the characteristic.Data type: String\n\n</td></tr><tr id=\"TSQ-return-serviceQualificationItem.service.serviceCharacteristic.name\"><td>\n\nserviceQualificationItem.service.serviceCharacteristic.name\n\n</td><td>\n\nName of the characteristic.Data type: String\n\n</td></tr><tr id=\"TSQ-return-serviceQualificationItem.service.serviceCharacteristic.value\"><td>\n\nserviceQualificationItem.service.serviceCharacteristic.value\n\n</td><td>\n\nValue of the characteristic.Data type: String\n\n</td></tr><tr id=\"TSQ-return-serviceQualificationItem.alternateServiceProposal\"><td>\n\nServiceQualificationItem.alternateServiceProposal\n\n</td><td>\n\nAlternate service proposal for the qualification order.Data type: String\n\nStored in: Alternate Proposal \\[sn\\_ord\\_qual\\_mgmt\\_alternate\\_proposal\\]\n\n</td></tr><tr id=\"TSQ-return-serviceQualificationItem.alternateServiceProposal.id\"><td>\n\nServiceQualificationItem.alternateServiceProposal.id\n\n</td><td>\n\nSys\\_id of the alternate proposal record.Data type: String\n\nTable: Alternate Proposal \\[sn\\_ord\\_qual\\_mgmt\\_alternate\\_proposal\\]\n\n</td></tr><tr id=\"TSQ-return-serviceQualificationItem.alternateServiceProposal.alternateServiceAvailabilityDate\"><td>\n\nServiceQualificationItem.alternateServiceProposal.alternateServiceAvailabilityDate\n\n</td><td>\n\nThe available\\_date field value of the alternate proposal entry in the Alternate Proposal \\[sn\\_ord\\_qual\\_mgmt\\_alternate\\_proposal\\] table.Data type: String\n\n</td></tr><tr id=\"TSQ-return-serviceQualificationItem.alternateServiceProposal.alternateService\"><td>\n\nserviceQualificationItem.alternateServiceProposal.alternateService\n\n</td><td>\n\nService information represented by the alternate proposal.Data type: Object\n\n</td></tr><tr id=\"TSQ-return-serviceQualificationItem.alternateServiceProposal.alternateService.serviceSpecification\"><td>\n\nserviceQualificationItem.alternateServiceProposal.alternateService.serviceSpecification\n\n</td><td>\n\nService specification of the alternate proposal persisted in specification.Data type: Object\n\nTable: Alternate Proposal \\[sn\\_ord\\_qual\\_mgmt\\_alternate\\_proposal\\]\n\n</td></tr><tr id=\"TSQ-return-serviceQualificationItem.alternateServiceProposal.serviceSpecification.id\"><td>\n\nserviceQualificationItem. alternateServiceProposal.alternateService.serviceSpecification.id\n\n</td><td>\n\nExternal ID or initial version of the alternate service specification.Data type: String\n\n</td></tr><tr id=\"TSQ-return-serviceQualificationItem.alternateServiceProposal.serviceSpecification.name\"><td>\n\nserviceQualificationItem. alternateServiceProposal.alternateService.serviceSpecification.name\n\n</td><td>\n\nName of the alternate service specification. Data type: String\n\n</td></tr><tr id=\"TSQ-return-serviceQualificationItem.alternateServiceProposal.serviceSpecification.version\"><td>\n\nserviceQualificationItem. alternateServiceProposal.alternateService.serviceSpecification.version\n\n</td><td>\n\nExternal version of the alternate service specification.Data type: String\n\n</td></tr><tr id=\"TSQ-return-serviceQualificationItem.alternateServiceProposal.serviceSpecification.internalVersion\"><td>\n\nserviceQualificationItem. alternateServiceProposal.alternateService.serviceSpecification.internalVersion\n\n</td><td>\n\nInternal version of the alternate service specification.Data type: Number\n\n</td></tr><tr id=\"TSQ-return-serviceQualificationItem.alternateServiceProposal.serviceSpecification.internalId\"><td>\n\nserviceQualificationItem. alternateServiceProposal.alternateService.serviceSpecification.internalId\n\n</td><td>\n\nInitial version of the alternate service specification.Data type: String\n\n</td></tr><tr id=\"TSQ-return-serviceQualificationItem.alternateServiceProposal.serviceSpecification.type\"><td>\n\nServiceQualificationItem. alternateServiceProposal.alternateService.serviceSpecification.@type\n\n</td><td>\n\nPart of TMF Open API standard. Annotation for Service Specification. This value is always `ServiceSpecification`. This information is not stored.Data type: String\n\n</td></tr><tr id=\"TSQ-return-serviceQualificationItem.alternateServiceProposal.serviceSpecification.serviceCharacteristic\"><td>\n\nserviceQualificationItem. alternateServiceProposal.alternateService.serviceCharacteristic\n\n</td><td>\n\nList of service characteristics for the alternate service proposal.Data type: Array of Objects\n\n```\n\"serviceCharacteristic\": [\n  {\n    \"name\": \"String\",\n    \"value\": \"String\",\n    \"valueType\": \"String\"\n  }\n]\n```\n\n</td></tr><tr id=\"TSQ-return-serviceQualificationItem.alternateServiceProposal.serviceSpecification.serviceCharacteristic.valueType\"><td>\n\nserviceQualificationItem. alternateServiceProposal.alternateService.serviceCharacteristic.valueType\n\n</td><td>\n\nValue type of the alternate service characteristic.Data type: String\n\n</td></tr><tr id=\"TSQ-return-serviceQualificationItem.alternateServiceProposal.serviceSpecification.serviceCharacteristic.name\"><td>\n\nserviceQualificationItem. alternateServiceProposal.alternateService.serviceCharacteristic.name\n\n</td><td>\n\nName of the alternate service characteristic.Data type: String\n\n</td></tr><tr id=\"TSQ-return-serviceQualificationItem.alternateServiceProposal.serviceSpecification.serviceCharacteristic.value\"><td>\n\nserviceQualificationItem. alternateServiceProposal.alternateService.serviceCharacteristic.value\n\n</td><td>\n\nValue of the alternate service characteristic.Data type: String\n\n</td></tr><tr id=\"serviceQualificationItem.eligibilityUnavailabilityReason\"><td>\n\nserviceQualificationItem.eligibilityUnavailabilityReason\n\n</td><td>\n\nList of service eligibility unavailability reasons to explain why the service is not available. Data type: Array\n\nStored in: The unavailability\\_reason field of the Domain Order \\[sn\\_ind\\_tmt\\_orm\\_domain\\_order\\] table.\n\n</td></tr><tr id=\"serviceQualificationItem.eligibilityUnavailabilityReason.code\"><td>\n\nserviceQualificationItem.eligibilityUnavailabilityReason.code\n\n</td><td>\n\nService eligibility unavailability reason code.Data type: String\n\n</td></tr><tr id=\"serviceQualificationItem.eligibilityUnavailabilityReason.label\"><td>\n\nserviceQualificationItem.eligibilityUnavailabilityReason.label\n\n</td><td>\n\nService eligibility unavailability reason label.Data type: String\n\n</td></tr></tbody>\n</table>### Sample cURL request\n\nThe following GET call retrieves all qualification orders for an instance.\n\n```\ncurl -location --request GET \"https://instance.service-now.com/api/sn_ord_qual_mgmt/qualification/checkServiceQualification\" \\ \n--user \"username\":\"password\"\n```\n\nResponse:\n\n```\n[{\n        \"id\": \"001b359545371150f877e0588eca21ca\",\n        \"href\": \"/api/sn_ord_qual_mgmt/qualification/checkServiceQualification/001b359545371150f877e0588eca21ca\",\n        \"description\": \"check service qualification illustration\",\n        \"externalId\": \"CSQ1\",\n        \"qualificationResult\": \"none\",\n        \"state\": \"new\",\n        \"@type\": \"CheckServiceQualification\",\n        \"checkServiceQualificationDate\": \"2022-12-14T23:44:44.000Z\",\n        \"relatedParty\": [{\n                \"id\": \"eaf68911c35420105252716b7d40ddde\",\n                \"name\": \"Sally Thomas\",\n                \"@type\": \"RelatedParty\",\n                \"@referredType\": \"CustomerContact\"\n            },\n            {\n                \"id\": \"ffc68911c35420105252716b7d40dd55\",\n                \"name\": \"Funco Intl\",\n                \"@type\": \"RelatedParty\",\n                \"@referredType\": \"Customer\"\n            },\n            {\n                \"id\": \"59f16de1c3b67110ff00ed23a140dd9e\",\n                \"name\": \"Funco External\",\n                \"@type\": \"RelatedParty\",\n                \"@referredType\": \"Consumer\"\n            }\n            {\n                \"id\": \"59f16de1c3b67110ff00ed23a140dd9e\",\n                \"name\": \"Funco External\",\n                \"@type\": \"RelatedParty\",\n                \"@referredType\": \"Consumer\"\n            }\n        ],\n        \"serviceSpecification\": {\n            \"id\": \"91478553b7969910ff00f203ae11a97d\",\n            \"name\": \"Broadband Service\",\n            \"version\": \"\",\n            \"internalVersion\": \"1\",\n            \"internalId\": \"91478553b7969910ff00f203ae11a97d\",\n            \"@type\": \"ServiceSpecification\"\n        },\n        \"place\": {\n            \"id\": \"5671dd2ec3a53010188473ce3640dd81\",\n            \"name\": \"3000 Main Street, Santa Clara, CA\",\n            \"@referredType\": \"GeographicSite\"\n        }\n    }\n}],\n\"expectedQualificationDate\": \"2022-10-11T15:20:39.000Z\"\n}, {\n    \"id\": \"0236b75145fb1150f877e0588eca2145\",\n    \"href\": \"/api/sn_ord_qual_mgmt/qualification/checkServiceQualification/0236b75145fb1150f877e0588eca2145\",\n    \"description\": \"check service qualification illustration\",\n    \"externalId\": \"CSQ1\",\n    \"qualificationResult\": \"none\",\n    \"state\": \"new\",\n    \"@type\": \"CheckServiceQualification\",\n    \"checkServiceQualificationDate\": \"2022-12-15T08:57:50.000Z\",\n    \"relatedParty\": [{\n            \"id\": \"ffc68911c35420105252716b7d40dd55\",\n            \"name\": \"Funco Intl\",\n            \"@type\": \"RelatedParty\",\n            \"@referredType\": \"Customer\"\n        },\n        {\n            \"id\": \"eaf68911c35420105252716b7d40ddde\",\n            \"name\": \"Sally Thomas\",\n            \"@type\": \"RelatedParty\",\n            \"@referredType\": \"CustomerContact\"\n        }\n            {\n                \"id\": \"59f16de1c3b67110ff00ed23a140dd9e\",\n                \"name\": \"Funco External\",\n                \"@type\": \"RelatedParty\",\n                \"@referredType\": \"Consumer\"\n            }\n    ],\n    \"serviceQualificationItem\": [{\n            \"id\": \"110\",\n            \"qualificationResult\": \"none\",\n            \"state\": \"new\",\n            \"quantity\": \"1\",\n            \"@type\": \"ServiceQualificationItem\",\n            \"service\": {\n                \"@type\": \"Service\",\n                \"serviceCharacteristic\": [{\n                    \"name\": \"Fiber Speed\",\n                    \"valueType\": \"choice\",\n                    \"value\": \"1Gbps\"\n                }],\n                \"serviceSpecification\": {\n                    \"id\": \"4d2b5799457b1150f877e0588eca2116\",\n                    \"name\": \"CFS3\",\n                    \"version\": \"\",\n                    \"internalVersion\": \"1\",\n                    \"internalId\": \"4d2b5799457b1150f877e0588eca2116\",\n                    \"@type\": \"ServiceSpecification\"\n                },\n                \"place\": {\n                    \"id\": \"5671dd2ec3a53010188473ce3640dd81\",\n                    \"name\": \"3000 Main Street, Santa Clara, CA\",\n                    \"@referredType\": \"GeographicSite\"\n                }\n            }\n        },\n        {\n            \"id\": \"130\",\n            \"qualificationResult\": \"none\",\n            \"state\": \"new\",\n            \"quantity\": \"1\",\n            \"@type\": \"ServiceQualificationItem\",\n            \"service\": {\n                \"@type\": \"Service\",\n                \"serviceCharacteristic\": [{\n                    \"name\": \"Wireless Speed\",\n                    \"valueType\": \"choice\",\n                    \"value\": \"100 Mbps\"\n                }],\n                \"serviceSpecification\": {\n                    \"id\": \"28733d1d45f31150f877e0588eca2163\",\n                    \"name\": \"CFS2\",\n                    \"version\": \"\",\n                    \"internalVersion\": \"1\",\n                    \"internalId\": \"28733d1d45f31150f877e0588eca2163\",\n                    \"@type\": \"ServiceSpecification\"\n                },\n                \"place\": {\n                    \"id\": \"5671dd2ec3a53010188473ce3640dd81\",\n                    \"name\": \"3000 Main Street, Santa Clara, CA\",\n                    \"@referredType\": \"GeographicSite\"\n                }\n            }\n        },\n        {\n            \"id\": \"100\",\n            \"qualificationResult\": \"none\",\n            \"state\": \"new\",\n            \"quantity\": \"1\",\n            \"@type\": \"ServiceQualificationItem\",\n            \"service\": {\n                \"@type\": \"Service\",\n                \"serviceCharacteristic\": [{\n                    \"name\": \"Speed\",\n                    \"valueType\": \"choice\",\n                    \"value\": \"\"\n                }],\n                \"serviceSpecification\": {\n                    \"id\": \"b3933d9d45f31150f877e0588eca21fc\",\n                    \"name\": \"Access Service\",\n                    \"version\": \"\",\n                    \"internalVersion\": \"1\",\n                    \"internalId\": \"b3933d9d45f31150f877e0588eca21fc\",\n                    \"@type\": \"ServiceSpecification\"\n                },\n                \"place\": {\n                    \"id\": \"5671dd2ec3a53010188473ce3640dd81\",\n                    \"name\": \"3000 Main Street, Santa Clara, CA\",\n                    \"@referredType\": \"GeographicSite\"\n                }\n            }\n        },\n        {\n            \"id\": \"120\",\n            \"qualificationResult\": \"none\",\n            \"state\": \"new\",\n            \"quantity\": \"1\",\n            \"@type\": \"ServiceQualificationItem\",\n            \"service\": {\n                \"@type\": \"Service\",\n                \"serviceCharacteristic\": [{\n                    \"name\": \"DSL Speed\",\n                    \"valueType\": \"choice\",\n                    \"value\": \"500 Mbps\"\n                }],\n                \"serviceSpecification\": {\n                    \"id\": \"1d43f91d45f31150f877e0588eca21cd\",\n                    \"name\": \"CFS1\",\n                    \"version\": \"\",\n                    \"internalVersion\": \"1\",\n                    \"internalId\": \"1d43f91d45f31150f877e0588eca21cd\",\n                    \"@type\": \"ServiceSpecification\"\n                },\n                \"place\": {\n                    \"id\": \"5671dd2ec3a53010188473ce3640dd81\",\n                    \"name\": \"3000 Main Street, Santa Clara, CA\",\n                    \"@referredType\": \"GeographicSite\"\n                }\n            }\n        }\n    ],\n    \"expectedQualificationDate\": \"2022-10-11T15:20:39.000Z\"\n}\n]\n```\n\n## Technical Service Qualification Open API - POST sn\\_ord\\_qual\\_mgmt/qualification/checkServiceQualification\n\nCreates a technical service qualification request entity containing a list of qualification items.\n\nThe service qualification request is persisted as a customer order with the qualify fulfillment type. Each qualification item is persisted as a customer line order in the Order \\[sn\\_ind\\_tmt\\_orm\\_order\\_line\\_item\\] table.\n\n### Using this endpoint\n\nYou can use this API method for three specific use cases:\n\n1.  Request to qualify a service at a specified address.\n2.  Request to qualify a new service at the same location of an existing and active access service.\n3.  Request to upgrade or downgrade an existing service.\n\nEach use case requires the same request structure but uses different request parameters. Details about each use case and accepted parameters are provided:\n\n-   To qualify a service at a specified address, use the **place** array \\(**serviceQualificationItem.service.place\\)** to provide a specific location and the service specification. You can optionally define additional service characteristics in your request.\n-   To qualify a new service at the same location of an existing and active service, use the **referenceServiceInventory** object \\(serviceQualificationItem.service.referenceServiceInventory\\) instead of the **place** array. This object allows you to create a request and define service specifications without needing to provide location details. You can optionally define additional service characteristics in your request.\n-   To upgrade or downgrade an existing service, use the **serviceInventory** object \\(serviceQualificationItem.service.ServiceInventory\\) instead of the **place** array or the **referenceServiceInventory** object. In this use case, location information and specification details are fetched from an existing service. In your request, define any service characteristics that you wish to change.\n\n    For example, say that you want to verify that you can upgrade the download speed of an existing, active service from 100Mb/s to 600Mb/s. In this case, you can use the **serviceInventory** parameter to define the request by changing the 'Speed' characteristic from 'Low' to 'High'. The API obtains remaining characteristics from the existing service.\n\n\nTo understand how to form your API request per your particular use case, refer to the example calls provided in the **Example** section of this page.\n\n### URL format\n\nDefault URL: `/api/sn_ord_qual_mgmt/qualification/checkServiceQualification`\n\n### Supported request parameters\n\n|Name|Description|\n|----|-----------|\n|None| |\n\n|Name|Description|\n|----|-----------|\n|None| |\n\n<table class=\"rest_api_request_body\"><thead><tr><th>\n\nParameter\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\n@type\n\n</td><td>\n\nOptional. Part of TMF Open API standard. Annotation for the qualification. This value is always `CheckServiceQualification`. This information is not stored.Data type: String\n\n</td></tr><tr><td>\n\ncheckServiceQualificationDate\n\n</td><td>\n\nOptional. The date and time the qualification request was created. Located in the order\\_date field of the Customer Order \\[sn\\_ind\\_tmt\\_orm\\_order\\] table. If not specified, order\\_date is set to the current date and time. Data type: String\n\nFormat: YYYY-MM-DDTHH:MM:SS.SSSZ\n\n</td></tr><tr><td>\n\ndescription\n\n</td><td>\n\nOptional. The description of the qualification request. Located in the ‘short\\_description’ field of the Customer Order \\[sn\\_ind\\_tmt\\_orm\\_order\\] table.Data type: String\n\nMaximum character length: 100\n\n</td></tr><tr><td>\n\neffectiveQualificationDate\n\n</td><td>\n\nOptional. The date that the qualification is effective. Persisted in ‘actual\\_end\\_date’ field of the customer order of the Customer Order \\[sn\\_ind\\_tmt\\_orm\\_order\\] table.Data type: String\n\nFormat: YYYY-MM-DDTHH:MM:SS.SSSZ\n\n</td></tr><tr><td>\n\nexpectedQualificationDate\n\n</td><td>\n\nOptional. The expected qualification date. Persisted in expected\\_end\\_date’ field of the customer order. Located in the Customer Order \\[sn\\_ind\\_tmt\\_orm\\_order\\] table.Data type: String\n\nFormat: YYYY-MM-DDTHH:MM:SS.SSSZ\n\n</td></tr><tr><td>\n\nexternalId\n\n</td><td>\n\nOptional. External ID assigned of the customer order. Persisted in the external\\_id field of the customer order of the Customer Order \\[sn\\_ind\\_tmt\\_orm\\_order\\] table.Data type: String\n\n</td></tr><tr><td>\n\nrelatedParty\n\n</td><td>\n\nList of contacts for the qualification request. Each contact is an object in the array. Must list at least one item which contains customer account, customer contact, or consumer account information.Data type: Array of Objects\n\n```\n\"relatedParty\": [\n  {\n  \"@referredType\": \"String\",\n  \"@type\": \"String\",\n  \"id\": \"String\",\n  \"name\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nrelatedParty.@referredType\n\n</td><td>\n\nType of related party.Possible values:\n\n-   consumer\n-   customer\n-   customerContact\n\nData type: String\n\n</td></tr><tr><td>\n\nrelatedParty.@type\n\n</td><td>\n\nOptional. Part of TMF Open API standard. Annotation for the order line item contact. This value is always `RelatedParty`. This information is not stored.Data type: String\n\n</td></tr><tr><td>\n\nrelatedParty.id\n\n</td><td>\n\nThe sys\\_id or external\\_id, if applicable, of the related party. Located in the Account \\[customer\\_account\\] table, Contact \\[customer\\_contact\\] table, or Consumer \\[csm\\_consumer\\] table.Data type: String\n\n</td></tr><tr><td>\n\nrelatedParty.name\n\n</td><td>\n\nName of the account, customer, or consumer.Data type: String\n\n</td></tr><tr><td>\n\nserviceQualificationItem\n\n</td><td>\n\nList of service qualification items with location, service information, and characteristics. Stored as order line items for the customer order. Must include at least one service qualification item in the list.Data type: Array of objects\n\n```\n\"serviceQualificationItem\": [{\n  \"@type\": \"String\",\n  \"id\": \"String\",\n  \"qualificationResult\": \"String\",\n  \"quantity\": \"Number\",\n  \"service\": {Object},\n  \"state\": \"String\"\n]\n```\n\n</td></tr><tr><td>\n\nserviceQualificationItem.@type\n\n</td><td>\n\nOptional. Part of TMF Open API standard. Annotation for qualification item. This value is always `ServiceQualificationItem`. This information is not stored.Data Type: String\n\n</td></tr><tr><td>\n\nserviceQualificationItem.qualificationItemRelationship\n\n</td><td>\n\nOptional. List of relationships with other service qualification items in the same request. This information helps to create order line items with a parent order line item.Data type: Array of objects\n\n```\n\"qualificationItemRelationship\": [\n  {\n  \"id\": \"String\"\n  \"relationshipType\": \"String\"\n   }\n]\n```\n\n</td></tr><tr><td>\n\nserviceQualificationItem.qualificationItemRelationship.id\n\n</td><td>\n\nRequired. The ID of the target qualification item in the relationship.Data Type: String\n\n</td></tr><tr><td>\n\nserviceQualificationItem.qualificationItemRelationship.relationshipType\n\n</td><td>\n\nRequired. The type of line item relationship.Valid values:\n\n-   HasChild: indicates the child item.\n-   HasParent:indicates the parent item.\n\nData Type: String\n\n</td></tr><tr><td>\n\nserviceQualificationItem.quantity\n\n</td><td>\n\nOptional. Quantity of the qualification item. Persisted in the ‘quantity’ field of customer order line item.Data type: Number\n\nDefault if not specified: 1\n\n</td></tr><tr><td>\n\nserviceQualificationItem.service\n\n</td><td>\n\nRequired. Service information which can include such variables as place, service specification, and service characteristics.Data Type: Object\n\n```\n\"service\": {\n  \"@type\": \"String\",\n  \"place\": [Array],\n  \"serviceCharacteristic\": [Array],\n  \"serviceSpecification\": {Object}\n}\n```\n\n</td></tr><tr><td>\n\nserviceQualificationItem.service.@type\n\n</td><td>\n\nOptional. Part of TMF Open API standard. Annotation for Service information for qualification item. This value is always `Service`. This information is not stored.Data Type: String\n\n</td></tr><tr><td>\n\nserviceQualificationItem.service.place\n\n</td><td>\n\nOptional. The requested location information for the service qualification item. Located in the Location \\[cmn\\_location\\] table.**Note:** Even though array is supported, it must contain only one location.\n\nData Type: Array of objects\n\n```\n\"place\": [\n  {\n  \"@type\": \"String\"\n  \"id\": \"String\",\n  \"name\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nserviceQualificationItem.service.place.@type\n\n</td><td>\n\nOptional. Part of TMF Open API standard. Annotation for Service. This value is always `GeographicSite`. This information is not stored.Data Type: String\n\n</td></tr><tr><td>\n\nserviceQualificationItem.service.place.id\n\n</td><td>\n\nRequired. Sys\\_id of a location in the Location \\[cmn\\_location\\] table. This location ID should be a valid entry in the Location \\[cmn\\_location\\] table. Data Type: String\n\n</td></tr><tr><td>\n\nserviceQualificationItem.service.place.name\n\n</td><td>\n\nOptional. Name of the location. This value is not verified against entries in the Location \\[cmn\\_location\\] table.Data Type: String\n\n</td></tr><tr><td>\n\nserviceQualificationItem.service.referenceServiceInventory\n\n</td><td>\n\nRequired. Valid service inventory entity which refers to an active service for the required location. The location information for the qualification order is obtained from this service inventory's location. **Important:** Use the **referenceServiceInventory** object to qualify a new service at the same location of an existing and active Access service. To do so, you must also omit the **place** array and **serviceInventory** object from your request, otherwise the API returns an error.\n\nData type: Object\n\n```\n\"referenceServiceInventory\": {\n\"id\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nserviceQualificationItem.service.referenceServiceInventory.id\n\n</td><td>\n\nRequired if using **serviceQualificationItem.service.referenceServiceInventory** in the request. The sys\\_id of a valid service inventory entity which refers to an active service for the required location. This information is mentioned only in the order work notes.Data type: String\n\n</td></tr><tr><td>\n\nserviceQualificationItem.service.serviceCharacteristic\n\n</td><td>\n\nOptional. Array of service characteristics.Data Type: Array of objects\n\n```\n\"serviceCharacteristic\": [\n  {\n  \"name\": \"String\",\n  \"value\": \"String\",\n  \"valueType\": \"String\",\n  }\n]\n```\n\n</td></tr><tr><td>\n\nserviceQualificationItem.service.serviceCharacteristic.name\n\n</td><td>\n\nRequired. Name of the characteristic.Data Type: String\n\n</td></tr><tr><td>\n\nserviceQualificationItem.service.serviceCharacteristic.value\n\n</td><td>\n\nOptional. Value of the characteristic. Part of TMF Open API standard. Annotation for Qualification item. This value is always `ServiceQualificationItem`. This information is not stored.Data Type: String\n\n</td></tr><tr><td>\n\nserviceQualificationItem.service.serviceCharacteristic.valueType\n\n</td><td>\n\nOptional. Value type of the characteristic. Data Type: String\n\n</td></tr><tr><td>\n\nserviceQualificationItem.service.serviceInventory\n\n</td><td>\n\nOptional. Valid service inventory entity which refers to an active service needing an upgrade or downgrade. **Important:** Use the **serviceInventory** object for service upgrades or downgrades. To do so, you must omit the place **array** and **referenceServiceInventory** object from your request, otherwise the API returns an error.\n\nData type: Object\n\n```\n\"serviceInventory\": {\n  \"id\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nserviceQualificationItem.service.serviceSpecification\n\n</td><td>\n\nRequired. Service specification for the qualification item. Stored in the service\\_specification field of the customer order line item in the Order Line Item \\[sn\\_ind\\_tmt\\_orm\\_order\\_line\\_item\\] table. Service specifications for a qualification item can't be resource-facing.Data Type: Object\n\n```\n\"serviceSpecification\": {\n  “@type”: ”String”,\n  \"id\": \"String\",\n  \"name\": \"String\"\n}\n\n```\n\n</td></tr><tr><td>\n\nserviceQualificationItem.service.serviceSpecification.@type\n\n</td><td>\n\nOptional. Part of TMF Open API standard. Annotation for the service specification. This value is always `ServiceSpecification`. This information is not stored.Data Type: String\n\n</td></tr><tr><td>\n\nserviceQualificationItem.service.serviceSpecification.id\n\n</td><td>\n\nRequired. External ID or initial version of the service specification.Data Type: String\n\n</td></tr><tr><td>\n\nserviceQualificationItem.service.serviceSpecification.internalVersion\n\n</td><td>\n\nOptional. Internal version of the service specification.Data Type: Number\n\n</td></tr><tr><td>\n\nserviceQualificationItem.service.serviceSpecification.name\n\n</td><td>\n\nRequired. Name of the service specification.Data Type: String\n\n</td></tr><tr><td>\n\nserviceQualificationItem.service.serviceSpecification.version\n\n</td><td>\n\nOptional. External version of the service specification.Data Type: String\n\n</td></tr></tbody>\n</table>### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"accept-entry-RESTAPI\">\n\nData format of the response body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr><tr><td>\n\nContent-Type\n\n</td><td id=\"content_type-entry-RESTAPI\">\n\nData format of the request body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table id=\"table_fbw_k3z_gsb\"><thead><tr><th>\n\nStatus code\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\n201\n\n</td><td>\n\nRequest successfully processed.**Note:** If there are any issues with the characteristics or characteristics option information, the endpoint stores the following comments in the work notes fields of the associated Customer Order Line Item record similar to existing delivery orders\n\n</td></tr><tr><td>\n\n400\n\n</td><td>\n\nBad Request. Could be any of the following reasons: -   Empty payload.\n-   Invalid payload: Mandatory field missing: &lt;field name&gt;\n-   Invalid payload: Request body missing - Payload was not passed in the request body.\n-   Invalid payload: relatedParty is missing.\n-   Invalid payload: serviceQualificationItem is missing.\n-   Invalid payload: serviceQualificationItem id is missing.\n-   Invalid payload: serviceQualificationItem service is missing.\n-   Invalid payload: The location information is missing. Please provide place, serviceInventory or referenceServiceInventory.\n-   Invalid payload: The specification information is missing, please provide serviceSpecification or serviceInventory.\n-   Invalid payload: Service Specification does not exist.\n-   Invalid payload: Customer Account does not exist.\n-   Invalid payload: Consumer does not exist.\n\n</td></tr><tr><td>\n\n500\n\n</td><td id=\"entry-500-status-code\">\n\nInternal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.\n\n</td></tr></tbody>\n</table>### Response body parameters \\(JSON or XML\\)\n\n<table id=\"table_mc1_pr1_tx\"><thead><tr><th>\n\nElement\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nid\n\n</td><td>\n\nSys\\_id of the qualification customer order.Data type: String\n\nTable: Customer Order \\[sn\\_ind\\_tmt\\_orm\\_order\\]\n\n</td></tr><tr><td>\n\nhref\n\n</td><td>\n\nRelative link to the qualification order record. Data type: String\n\n</td></tr><tr><td>\n\ndescription\n\n</td><td>\n\nDescription of the qualification request which is fetched from the short\\_description field of the customer order.Data type: String\n\nTable: Customer Order \\[sn\\_ind\\_tmt\\_orm\\_order\\]\n\n</td></tr><tr><td>\n\nexternalId\n\n</td><td>\n\nExternal ID of the customer order. Data type: String\n\nTable: in the external\\_id field of the Customer Order \\[sn\\_ind\\_tmt\\_orm\\_order\\] table.\n\n</td></tr><tr><td>\n\nqualificationResult\n\n</td><td>\n\nQualification status of the result field of the customer order. Possible values:\n\n-   alternate\n-   none\n-   pending\n-   qualified\n-   unqualified\n\nData type: String\n\n</td></tr><tr><td>\n\nstate\n\n</td><td>\n\nState of customer order from the status field of customer order.Data type: String\n\n</td></tr><tr><td>\n\n@type\n\n</td><td>\n\nPart of TMF Open API standard. Annotation for the qualification. This value is always `CheckServiceQualification`. This information is not stored.Data type: String\n\n</td></tr><tr><td>\n\ncheckServiceQualificationDate\n\n</td><td>\n\nDate and time the qualification request that was created from the order\\_date field of the customer order.Data type: String\n\nFormat: YYYY-MM-DDTHH:MM:SS.SSSZ\n\nTable: Customer Order \\[sn\\_ind\\_tmt\\_orm\\_order\\]\n\n</td></tr><tr><td>\n\neffectiveQualificationDate\n\n</td><td>\n\nEffective qualification date fetched from the order\\_date field of the customer order.Data type: String\n\nFormat: YYYY-MM-DDTHH:MM:SS.SSSZ\n\nTable: Customer Order \\[sn\\_ind\\_tmt\\_orm\\_order\\]\n\n</td></tr><tr><td>\n\nexpectedQualificationDate\n\n</td><td>\n\nStores the expected qualification date. Persisted in expected\\_end\\_date field of the customer order.Data type: String\n\nFormat: YYYY-MM-DDTHH:MM:SS.SSSZ\n\nTable: Customer Order \\[sn\\_ind\\_tmt\\_orm\\_order\\]\n\n</td></tr><tr><td>\n\nrelatedParty\n\n</td><td>\n\nList of contacts for the qualification request. Each contact is an object in the array.Data type: Array of Objects\n\n```\n\"relatedParty\": [\n  {\n    \"id\": \"String\",\n    \"name\": \"String\",\n    \"@referredType\": \"String\",\n    \"@type\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nrelatedParty.id\n\n</td><td>\n\nSys\\_id or external\\_id of the account, customer contact, or consumer associated with the order.Data type: String\n\nTable: Account \\[customer\\_account\\] table, Contact \\[customer\\_contact\\] table, or Consumer \\[csm\\_consumer\\]\n\n</td></tr><tr><td>\n\nrelatedParty.name\n\n</td><td>\n\nName of the account, customer, or consumer.Data type: String\n\n</td></tr><tr><td>\n\nrelatedParty.@type\n\n</td><td>\n\nPart of TMF Open API standard. Annotation for the order line item contact. This value is always `RelatedParty`. This information is not stored.Data type: String\n\n</td></tr><tr><td>\n\nrelatedParty.@referredType\n\n</td><td>\n\nType of related party.Possible values:\n\n-   Consumer\n-   Customer\n-   CustomerContact\n\nData type: String\n\n</td></tr><tr><td>\n\nserviceQualificationItem\n\n</td><td>\n\nList of service qualification items containing information about location, service information, and service characteristics. Stored as order line items for the customer order. Data type: Array of Objects\n\n```\n\"serviceQualificationItem\": [\n  {\n    \"id\": \"String\",\n    \"action\": \"String\",\n    \"expectedServiceAvailabilityDate\": \"Number\",\n    \"service\": {Object},\n    \"@type\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nserviceQualificationItem.id\n\n</td><td>\n\nID of the qualification item.Data type: String\n\nStored in: The external\\_id field of customer order line item in the Order Line Item \\[sn\\_ind\\_tmt\\_orm\\_order\\_line\\_item\\] table.\n\n</td></tr><tr><td>\n\nserviceQualificationItem.qualificationResult\n\n</td><td>\n\nResult of qualification item. Stored in the ‘result’ field of customer order line item. Possible values:\n\n-   alternate\n-   none\n-   pending\n-   qualified\n-   unqualified\n\nData type: String\n\nTable: Order Line Item \\[sn\\_ind\\_tmt\\_orm\\_order\\_line\\_item\\]\n\n</td></tr><tr><td>\n\nserviceQualificationItem.state\n\n</td><td>\n\nState of qualification item derived from the ‘status’ field of customer order line item. Data type: String\n\nTable: Order Line Item \\[sn\\_ind\\_tmt\\_orm\\_order\\_line\\_item\\]\n\n</td></tr><tr><td>\n\nserviceQualificationItem.quantity\n\n</td><td>\n\nQuantity of qualification item derived from the ‘quantity’ field of customer order line item.Data type: Number\n\nTable:Order Line Item \\[sn\\_ind\\_tmt\\_orm\\_order\\_line\\_item\\]\n\n</td></tr><tr><td>\n\nserviceQualificationItem.@type\n\n</td><td>\n\nPart of TMF Open API standard. Annotation for the qualification item. This value is always ServiceQualificationItem. This information is not stored.Data type: String\n\n</td></tr><tr><td>\n\nserviceQualificationItem.service\n\n</td><td>\n\nService information which includes details about location \\(place\\), service specifications, and service characteristics.Data type: Object\n\n```\n\"service\": {\n  \"@type\": \"String\",\n  \"place\": [Array],\n  \"serviceCharacteristic\": [Array],\n  \"serviceSpecification\": {Object}\n}\n```\n\n</td></tr><tr><td>\n\nserviceQualificationItem.service.@type\n\n</td><td>\n\nPart of TMF Open API standard. Annotation for the service. This value is always `Service`. This information is not stored. Data type: String\n\n</td></tr><tr><td>\n\nserviceQualificationItem.service.place\n\n</td><td>\n\nLocation information for the service qualification item.Data type: Array of Objects\n\n**Note:** This array can contain only one location.\n\n```\n\"place\": [\n  {\n    \"id\": \"String\",\n    \"name\": \"String\",\n    \"@referredType\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nserviceQualificationItem.service.place.id\n\n</td><td>\n\nSys\\_id of the location.Data type: String\n\nTable: Location \\[cmn\\_location\\]\n\n</td></tr><tr><td>\n\nserviceQualificationItem.service.place.name\n\n</td><td>\n\nName of the location. Not verified against an entry in the Location \\[cmn\\_location\\] table.Data type: String\n\n</td></tr><tr><td>\n\nserviceQualificationItem.service.place.@type\n\n</td><td>\n\nPart of TMF Open API standard. Annotation for Service. This value is always `GeographicSite`. This information is not stored.Data type: String\n\n</td></tr><tr><td>\n\nserviceQualificationItem.service.serviceSpecification\n\n</td><td>\n\nService specification details for the qualification item.Data type: Array of Objects\n\n```\n\"serviceSpecification\": {\n  \"id\": \"String\",\n  \"internalVersion\": \"Number\",\n  \"internalId\": \"String\",\n  \"name\": \"String\"\n  \"@type\": \"ServiceSpecification\"\n  \"version\": \"String\",\n}\n\n```\n\n</td></tr><tr><td>\n\nserviceQualificationItem.service.serviceSpecification.id\n\n</td><td>\n\nExternal ID or initial version of the service specification.Data type: String\n\n</td></tr><tr><td>\n\nserviceQualificationItem.service.serviceSpecification.name\n\n</td><td>\n\nName of the service specification.Data type: String\n\n</td></tr><tr><td>\n\nserviceQualificationItem.service.serviceSpecification.version\n\n</td><td>\n\nExternal version of the service specification.Data type: String\n\n</td></tr><tr><td>\n\nserviceQualificationItem.service.serviceSpecification.internalVersion\n\n</td><td>\n\nInternal version of the service specification.Data type: Number\n\n</td></tr><tr><td>\n\nserviceQualificationItem.service.serviceSpecification.internalId\n\n</td><td>\n\nInitial version of the service specification.Data type: String\n\n</td></tr><tr><td>\n\nserviceQualificationItem.service.serviceSpecification.@type\n\n</td><td>\n\nPart of TMF Open API standard. Annotation for Service Specification. This value is always `ServiceSpecification`. This information is not stored.Data type: String\n\n</td></tr><tr><td>\n\nserviceQualificationItem.service.serviceCharacteristic\n\n</td><td>\n\nList of service characteristics.Data type: Array of objects\n\n```\n\"serviceCharacteristic\": [\n  {\n    \"name\": \"String\",\n    \"value\": \"String\",\n    \"valueType\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nserviceQualificationItem.service.serviceCharacteristic.valueType\n\n</td><td>\n\nValue type of the characteristic.Data type: String\n\n</td></tr><tr><td>\n\nserviceQualificationItem.service.serviceCharacteristic.name\n\n</td><td>\n\nName of the characteristic.Data type: String\n\n</td></tr><tr><td>\n\nserviceQualificationItem.service.serviceCharacteristic.value\n\n</td><td>\n\nValue of the characteristic.Data type: String\n\n</td></tr></tbody>\n</table>### Use Case 1\n\nThe following example shows a simple request containing a single qualification item.\n\n```\ncurl -X POST \"https://instance.service-now.com/api/sn_ord_qual_mgmt/qualification/checkServiceQualification \" \\ \n-H \"Accept: application/json\" \\ \n-H \"Content-Type: application/json\" \\ \n-u \"username\":\"password\" \\ \n-d {\n  \"description\": \"check service qualification illustration\",\n  \"checkServiceQualificationDate\": \"2022-12-14T23:44:44.000Z\",\n  \"effectiveQualificationDate\": \"2023-12-14T23:44:44.000Z\",\n  \"expectedQualificationDate\": \"2023-10-11T15:20:39.000Z\",\n  \"externalId\": \"CSQ1\",\n  \"relatedParty\": [\n    {\n      \"id\": \"eaf68911c35420105252716b7d40ddde\",\n      \"name\": \"Sally Thomas\",\n      \"@type\": \"RelatedParty\",\n      \"@referredType\": \"CustomerContact\"\n    },\n    {\n      \"id\": \"ffc68911c35420105252716b7d40dd55\",\n      \"name\": \"Funco Intl\",\n      \"@type\": \"RelatedParty\",\n      \"@referredType\": \"Customer\"\n    },\n    {\n      \"id\": \"59f16de1c3b67110ff00ed23a140dd9e\",\n      \"name\": \"Funco External\",\n      \"@type\": \"RelatedParty\",\n      \"@referredType\": \"Consumer\"\n    }\n  ],\n  \"serviceQualificationItem\": [\n    {\n      \"id\": \"100\",\n      \"service\": {\n        \"@type\": \"Service\",\n        \"place\": [\n          {\n            \"id\": \"5671dd2ec3a53010188473ce3640dd81\",\n            \"name\": \"Jean Pontus home\",\n            \"@type\": \"GeographicSite\"\n          }\n        ],\n        \"serviceCharacteristic\": [\n          {\n            \"valueType\": \"choice\",\n            \"name\": \"Speed\",\n            \"value\": \"High\"\n          }\n        ],\n        \"serviceSpecification\": {\n          \"id\": \"91478553b7969910ff00f203ae11a97d\",\n          \"name\": \"Broadband Service\",\n          \"@type\": \"ServiceSpecification\"\n        }\n      },\n      \"@type\": \"ServiceQualificationItem\"\n    }\n  ],\n  \"@type\": \"CheckServiceQualification\"\n}\n```\n\nResponse:\n\n```\n{\n  \"id\": \"0b45c47938bf1110f877c8d44c4b895d\",\n  \"href\": \"/api/sn_ord_qual_mgmt/qualification/checkServiceQualification/0b45c47938bf1110f877c8d44c4b895d\",\n  \"description\": \"check service qualification illustration\",\n  \"externalId\": \"CSQ1\",\n  \"qualificationResult\": \"none\",\n  \"state\": \"new\",\n  \"@type\": \"CheckServiceQualification\",\n  \"checkServiceQualificationDate\": \"2022-12-14T23:44:44.000Z\",\n  \"relatedParty\": [\n    {\n      \"id\": \"eaf68911c35420105252716b7d40ddde\",\n      \"name\": \"Sally Thomas\",\n      \"@type\": \"RelatedParty\",\n      \"@referredType\": \"CustomerContact\"\n    },\n    {\n      \"id\": \"ffc68911c35420105252716b7d40dd55\",\n      \"name\": \"Funco Intl\",\n      \"@type\": \"RelatedParty\",\n      \"@referredType\": \"Customer\"\n    },\n    {\n      \"id\": \"59f16de1c3b67110ff00ed23a140dd9e\",\n      \"name\": \"Funco External\",\n      \"@type\": \"RelatedParty\",\n      \"@referredType\": \"Consumer\"\n    }\n  ],\n  \"serviceQualificationItem\": [\n    {\n      \"id\": \"100\",\n      \"qualificationResult\": \"none\",\n      \"state\": \"new\",\n      \"quantity\": \"1\",\n      \"@type\": \"ServiceQualificationItem\",\n      \"service\": {\n        \"@type\": \"Service\",\n        \"serviceCharacteristic\": [\n          {\n            \"name\": \"Speed\",\n            \"valueType\": \"choice\",\n            \"value\": \"High\"\n          }\n        ],\n        \"serviceSpecification\": {\n          \"id\": \"91478553b7969910ff00f203ae11a97d\",\n          \"name\": \"Broadband Service\",\n          \"version\": \"\",\n          \"internalVersion\": \"1\",\n          \"internalId\": \"91478553b7969910ff00f203ae11a97d\",\n          \"@type\": \"ServiceSpecification\"\n        },\n        \"place\": {\n          \"id\": \"5671dd2ec3a53010188473ce3640dd81\",\n          \"name\": \"3000 Main Street, Santa Clara, CA\",\n          \"@referredType\": \"GeographicSite\"\n        }\n      }\n    }\n  ],\n  \"effectiveQualificationDate\": \"2023-12-14T23:44:44.000Z\",\n  \"expectedQualificationDate\": \"2023-10-11T15:20:39.000Z\"\n}\n```\n\n### Use Case 2\n\nThe following example demonstrates how to request a simple service qualification using an ID to obtain the customer's location with an existing service.\n\n**Note:** Reference Service Inventory with id = is a product inventory with location = 20220 Bow Willow, Houston,TX\n\n```\ncurl -X POST \"https://instance.service-now.com/api/sn_ord_qual_mgmt/qualification/checkServiceQualification \" \\ \n-H \"Accept: application/json\" \\ \n-H \"Content-Type: application/json\" \\ \n-u \"username\":\"password\" \\ \n-d {\n  \"description\": \"check service qualification illustration\",\n  \"checkServiceQualificationDate\": \"2022-12-14T23:44:44.000Z\",\n  \"effectiveQualificationDate\": \"2023-12-14T23:44:44.000Z\",\n  \"expectedQualificationDate\": \"2023-10-11T15:20:39.000Z\",\n  \"externalId\": \"CSQ1\",\n  \"relatedParty\": [\n    {\n      \"id\": \"eaf68911c35420105252716b7d40ddde\",\n      \"name\": \"Sally Thomas\",\n      \"@type\": \"RelatedParty\",\n      \"@referredType\": \"CustomerContact\"\n    },\n    {\n      \"id\": \"ffc68911c35420105252716b7d40dd55\",\n      \"name\": \"Funco Intl\",\n      \"@type\": \"RelatedParty\",\n      \"@referredType\": \"Customer\"\n    },\n    {\n      \"id\": \"59f16de1c3b67110ff00ed23a140dd9e\",\n      \"name\": \"Funco External\",\n      \"@type\": \"RelatedParty\",\n      \"@referredType\": \"Consumer\"\n    }\n  ],\n  \"serviceQualificationItem\": [\n    {\n      \"id\": \"100\",\n      \"service\": {\n        \"@type\": \"Service\",\n        \"referenceServiceInventory\": {\n          \"id\": \"f1b2d99e777301108e191e599a5a99d2\"\n        },\n        \"serviceCharacteristic\": [\n          {\n            \"valueType\": \"choice\",\n            \"name\": \"Speed\",\n            \"value\": \"High\"\n          }\n        ],\n        \"serviceSpecification\": {\n          \"id\": \"91478553b7969910ff00f203ae11a97d\",\n          \"name\": \"Broadband Service\",\n          \"@type\": \"ServiceSpecification\"\n        }\n      },\n      \"@type\": \"ServiceQualificationItem\"\n    }\n  ],\n  \"@type\": \"CheckServiceQualification\"\n}\n```\n\nResponse, where **place** is populated from **referenceServiceInventory** in the request.\n\n```\n{\n    \"id\": \"1683497138b35110f877c8d44c4b890a\",\n   \"href\":\"/api/sn_ord_qual_mgmt/qualification/checkServiceQualification/1683497138b35110f877c8d44c4b890a\",\n    \"description\": \"check service qualification illustration\",\n    \"externalId\": \"CSQ1\",\n    \"qualificationResult\": \"none\",\n    \"state\": \"new\",\n    \"@type\": \"CheckServiceQualification\",\n    \"checkServiceQualificationDate\": \"2022-12-14T23:44:44.000Z\",\n    \"relatedParty\": [\n        {\n            \"id\": \"eaf68911c35420105252716b7d40ddde\",\n            \"name\": \"Sally Thomas\",\n            \"@type\": \"RelatedParty\",\n            \"@referredType\": \"CustomerContact\"\n        },\n        {\n            \"id\": \"ffc68911c35420105252716b7d40dd55\",\n            \"name\": \"Funco Intl\",\n            \"@type\": \"RelatedParty\",\n            \"@referredType\": \"Customer\"\n        },\n        {\n            \"id\": \"59f16de1c3b67110ff00ed23a140dd9e\",\n            \"name\": \"Funco External\",\n            \"@type\": \"RelatedParty\",\n            \"@referredType\": \"Consumer\"\n        }\n    ],\n    \"serviceQualificationItem\": [\n        {\n            \"id\": \"100\",\n            \"qualificationResult\": \"none\",\n            \"state\": \"new\",\n            \"quantity\": \"1\",\n            \"@type\": \"ServiceQualificationItem\",\n            \"service\": {\n                \"@type\": \"Service\",\n                \"serviceCharacteristic\": [\n                    {\n                        \"name\": \"Speed\",\n                        \"valueType\": \"choice\",\n                        \"value\": \"High\"\n                    }\n                ],\n                \"serviceSpecification\": {\n                    \"id\": \"91478553b7969910ff00f203ae11a97d\",\n                    \"name\": \"Broadband Service\",\n                    \"version\": \"\",\n                    \"internalVersion\": \"1\",\n                    \"internalId\": \"91478553b7969910ff00f203ae11a97d\",\n                    \"@type\": \"ServiceSpecification\"\n                },\n                \"place\": {\n                    \"id\": \"25aba4010a0a0bb3008f329002f12211\",\n                    \"name\": \"20220 Bow Willow, Houston,TX\",\n                    \"@referredType\": \"GeographicSite\"\n                }\n            }\n        }\n    ],\n    \"effectiveQualificationDate\": \"2022-12-14T23:44:44.000Z\",\n    \"expectedQualificationDate\": \"2023-10-11T15:20:39.000Z\"\n}\n```\n\n### Use Case 3\n\nThe following example demonstrates how to upgrade a user's broadband service to a higher speed. Service Inventory with id = is a product inventory with Service Specification = ‘Broadband Service’, Location = 20220 Bow Willow, Houston, TX, Characteristics=\\[\\{Speed:Medium\\}\\].\n\n```\n{\n  \"description\": \"check service qualification illustration\",\n  \"checkServiceQualificationDate\": \"2022-12-14T23:44:44.000Z\",\n  \"effectiveQualificationDate\": \"2023-12-14T23:44:44.000Z\",\n  \"expectedQualificationDate\": \"2023-10-11T15:20:39.000Z\",\n  \"externalId\": \"CSQ1\",\n  \"relatedParty\": [\n    {\n      \"id\": \"eaf68911c35420105252716b7d40ddde\",\n      \"name\": \"Sally Thomas\",\n      \"@type\": \"RelatedParty\",\n      \"@referredType\": \"CustomerContact\"\n    },\n    {\n      \"id\": \"ffc68911c35420105252716b7d40dd55\",\n      \"name\": \"Funco Intl\",\n      \"@type\": \"RelatedParty\",\n      \"@referredType\": \"Customer\"\n    },\n    {\n      \"id\": \"59f16de1c3b67110ff00ed23a140dd9e\",\n      \"name\": \"Funco External\",\n      \"@type\": \"RelatedParty\",\n      \"@referredType\": \"Consumer\"\n    }\n  ],\n  \"serviceQualificationItem\": [\n    {\n      \"id\": \"100\",\n      \"service\": {\n        \"@type\": \"Service\",\n        \"serviceInventory\": {\n          \"id\": \"f1b2d99e777301108e191e599a5a99d2\"\n        },\n        \"serviceCharacteristic\": [\n          {\n            \"valueType\": \"choice\",\n            \"name\": \"Speed\",\n            \"value\": \"High\"\n          }\n        ]\n      },\n      \"@type\": \"ServiceQualificationItem\"\n    }\n  ],\n  \"@type\": \"CheckServiceQualification\"\n}\n```\n\nResponse, where **place** and **specification** are populated from **serviceInventory** in the request.\n\n**Note:** Characteristics are taken from the request payload first, then remaining characteristics \\(if any\\) are obtained from **serviceInventory**.\n\n```\n{\n    \"id\": \" db8485b138b35110f877c8d44c4b892b\",\n    \"href\": \"/api/sn_ord_qual_mgmt/qualification/checkServiceQualification/ db8485b138b35110f877c8d44c4b892b\",\n    \"description\": \"check service qualification illustration\",\n    \"externalId\": \"CSQ1\",\n    \"qualificationResult\": \"none\",\n    \"state\": \"new\",\n    \"@type\": \"CheckServiceQualification\",\n    \"checkServiceQualificationDate\": \"2022-12-14T23:44:44.000Z\",\n    \"relatedParty\": [\n        {\n            \"id\": \"eaf68911c35420105252716b7d40ddde\",\n            \"name\": \"Sally Thomas\",\n            \"@type\": \"RelatedParty\",\n            \"@referredType\": \"CustomerContact\"\n        },\n        {\n            \"id\": \"ffc68911c35420105252716b7d40dd55\",\n            \"name\": \"Funco Intl\",\n            \"@type\": \"RelatedParty\",\n            \"@referredType\": \"Customer\"\n        },\n        {\n            \"id\": \"59f16de1c3b67110ff00ed23a140dd9e\",\n            \"name\": \"Funco External\",\n            \"@type\": \"RelatedParty\",\n            \"@referredType\": \"Consumer\"\n        }\n    ],\n    \"serviceQualificationItem\": [\n        {\n            \"id\": \"100\",\n            \"qualificationResult\": \"none\",\n            \"state\": \"new\",\n            \"quantity\": \"1\",\n            \"@type\": \"ServiceQualificationItem\",\n            \"service\": {\n                \"@type\": \"Service\",\n                \"serviceCharacteristic\": [\n                    {\n                        \"name\": \"Speed\",\n                        \"valueType\": \"choice\",\n                        \"value\": \"High\"\n                    }\n                ],\n                \"serviceSpecification\": {\n                    \"id\": \"91478553b7969910ff00f203ae11a97d\",\n                    \"name\": \"Broadband Service\",\n                    \"version\": \"\",\n                    \"internalVersion\": \"1\",\n                    \"internalId\": \"91478553b7969910ff00f203ae11a97d\",\n                    \"@type\": \"ServiceSpecification\"\n                },\n                \"place\": {\n                    \"id\": \"25aba4010a0a0bb3008f329002f12211\",\n                    \"name\": \"20220 Bow Willow, Houston,TX\",\n                    \"@referredType\": \"GeographicSite\"\n                }\n            }\n        }\n    ],\n    \"effectiveQualificationDate\": \"2022-12-14T23:44:44.000Z\",\n    \"expectedQualificationDate\": \"2023-10-11T15:20:39.000Z\"\n}\n```\n\n### Use Case 4\n\nDescribes the hierarchy of parent and child line items and their relationship types. It demonstrates how multiple line items can be created via the quantity attribute.\n\n```\ncurl -X POST \"https://instance.service-now.com/api/sn_ord_qual_mgmt/qualification/checkServiceQualification \" \\ \n-H \"Accept: application/json\" \\ \n-H \"Content-Type: application/json\" \\ \n-u \"username\":\"password\" \\ \n-d {\n  \"description\": \"check service qualification illustration\",\n  \"checkServiceQualificationDate\": \"2022-12-14T23:44:44.000Z\",\n  \"effectiveQualificationDate\": \"2023-12-14T23:44:44.000Z\",\n  \"expectedQualificationDate\": \"2023-10-11T15:20:39.000Z\",\n  \"externalId\": \"CSQ1\",\n  \"relatedParty\": [\n    {\n      \"id\": \"eaf68911c35420105252716b7d40ddde\",\n      \"name\": \"Sally Thomas\",\n      \"@type\": \"RelatedParty\",\n      \"@referredType\": \"CustomerContact\"\n    },\n    {\n      \"id\": \"ffc68911c35420105252716b7d40dd55\",\n      \"name\": \"Funco Intl\",\n      \"@type\": \"RelatedParty\",\n      \"@referredType\": \"Customer\"\n    },\n    {\n      \"id\": \"59f16de1c3b67110ff00ed23a140dd9e\",\n      \"name\": \"Funco External\",\n      \"@type\": \"RelatedParty\",\n      \"@referredType\": \"Consumer\"\n    }\n  ],\n  \"serviceQualificationItem\": [\n    {\n      \"id\": \"100\",\n      \"quantity\": 2,\n      \"qualificationItemRelationship\": [\n        {\n          \"relationshipType\": \"HasChild\",\n          \"id\": \"110\"\n        },\n        {\n          \"relationshipType\": \"HasChild\",\n          \"id\": \"120\"\n        },\n        {\n          \"relationshipType\": \"HasChild\",\n          \"id\": \"130\"\n        }\n      ],\n      \"service\": {\n        \"@type\": \"Service\",\n        \"place\": [\n          {\n            \"id\": \"5671dd2ec3a53010188473ce3640dd81\",\n            \"name\": \"Jean Pontus home\",\n            \"@referredType\": \"GeographicSite\"\n          }\n        ],\n        \"serviceCharacteristic\": [\n          {\n            \"valueType\": \"string\",\n            \"name\": \"Speed\",\n            \"value\": \"High\"\n          }\n        ],\n        \"serviceSpecification\": {\n          \"id\": \"b3933d9d45f31150f877e0588eca21fc\",\n          \"name\": \"Access Service\"\n        }\n      },\n      \"@type\": \"ServiceQualificationItem\"\n    },\n    {\n      \"id\": \"110\",\n      \"action\": \"add\",\n      \"expectedServiceAvailabilityDate\": \"2022-12-10T19:20:39.239Z\",\n      \"qualificationItemRelationship\": [\n        {\n          \"relationshipType\": \"HasParent\",\n          \"id\": \"100\"\n        }\n      ],\n      \"service\": {\n        \"@type\": \"Service\",\n        \"place\": [\n          {\n            \"id\": \"5671dd2ec3a53010188473ce3640dd81\",\n            \"name\": \"Jean Pontus home\",\n            \"@referredType\": \"GeographicSite\"\n          }\n        ],\n        \"serviceCharacteristic\": [\n          {\n            \"valueType\": \"choice\",\n            \"name\": \"Fiber Speed\",\n            \"value\": \"1Gbps\"\n          }\n        ],\n        \"serviceSpecification\": {\n          \"name\": \"CFS3\",\n          \"internalVersion\": \"1\",\n          \"id\": \"4d2b5799457b1150f877e0588eca2116\"\n        },\n        \"state\": \"new\"\n      },\n      \"@type\": \"ServiceQualificationItem\"\n    },\n    {\n      \"id\": \"120\",\n      \"action\": \"add\",\n      \"qualificationItemRelationship\": [\n        {\n          \"relationshipType\": \"HasParent\",\n          \"id\": \"100\"\n        }\n      ],\n      \"expectedServiceAvailabilityDate\": \"2022-11-12T19:20:39.239Z\",\n      \"service\": {\n        \"@type\": \"Service\",\n        \"place\": [\n          {\n            \"id\": \"5671dd2ec3a53010188473ce3640dd81\",\n            \"name\": \"Jean 
[...]
